Upload Workspace Logo
curl --request POST \
--url https://api.ontora.com/v1/workspaces/{workspace_id}/logo \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'import requests
url = "https://api.ontora.com/v1/workspaces/{workspace_id}/logo"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.ontora.com/v1/workspaces/{workspace_id}/logo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"image_url": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}workspaces
Upload Workspace Logo
Set the workspace’s logo on its Clerk organization (admin only).
The uploaded image replaces any existing logo and shows up wherever the workspace’s organization image is rendered (sidebar, settings, member views). Customer-facing counterpart of the staff enterprise-SSO upload.
POST
/
v1
/
workspaces
/
{workspace_id}
/
logo
Upload Workspace Logo
Was this page helpful?
⌘I